<?xml version="1.0" encoding="utf-8" ?>
<configuration>
    <configSections>
        <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
    </configSections>
    <log4net>
        <root>
            <level value="ALL"/>
            <appender-ref ref="ErrorAppender" />
            <appender-ref ref="DebugAppender" />
        </root>
        <appender name="ErrorAppender" type="log4net.Appender.RollingFileAppender">
            <param name="File" value="Log/error.log" />
            <param name="AppendToFile" value="true" />
            <param name="MaxSizeRollBackups" value="10" />
            <param name="MaximumFileSize" value="1MB" />
            <param name="StaticLogFileName" value="false" />
            <param name="DatePattern" value="[yyyy-MM-dd]&quot;.log&quot;"/>
            <param name="RollingStyle" value="Size"/>
            <layout type="log4net.Layout.PatternLayout">
                <param name="ConversionPattern" value="%d [%thread] %-5p %location %c [%x] - %m%n" />
            </layout>
            <!-- DEBUG<INFO<WARN<ERROR<FATAL -->
            <filter type="log4net.Filter.LevelRangeFilter">
                <param name="LevelMin" value="WARN" />
                <param name="LevelMax" value="FATAL" />
            </filter>
            <lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
        </appender>
        <appender name="DebugAppender" type="log4net.Appender.RollingFileAppender">
            <param name="File" value="Log/debug.log" />
            <param name="AppendToFile" value="true" />
            <param name="MaxSizeRollBackups" value="10" />
            <param name="MaximumFileSize" value="1MB" />
            <param name="StaticLogFileName" value="false" />
            <param name="DatePattern" value="[yyyy-MM-dd]&quot;.log&quot;"/>
            <param name="RollingStyle" value="Size"/>
            <layout type="log4net.Layout.PatternLayout">
                <param name="ConversionPattern" value="%d [%thread] %-5p => %m%n" />
            </layout>
            <filter type="log4net.Filter.LevelRangeFilter">
                <param name="LevelMin" value="DEBUG" />
                <param name="LevelMax" value="INFO" />
            </filter>
            <lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
        </appender>
    </log4net>
</configuration>
